%?mingw_package_header

Name:           mingw-libogg
Version:        1.3.3
Release:    1%{?dist}
Summary:        The Ogg bitstream file format library

License:        BSD
URL:            http://www.xiph.org/
Source0:         http://downloads.xiph.org/releases/ogg/libogg-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils


%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.


%package -n mingw32-libogg
Summary:        The Ogg bitstream file format library
Requires:       pkgconfig

%description -n mingw32-libogg
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

%package -n mingw64-libogg
Summary:        The Ogg bitstream file format library
Requires:       pkgconfig

%description -n mingw64-libogg
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.


%?mingw_debug_package


%prep
%setup -q -n libogg-%{version}

%build
sed -i "s/-O20/-O2/" configure
sed -i "s/-ffast-math//" configure
%mingw_configure --disable-static
%mingw_make %{?_smp_mflags}

%install
%mingw_make DESTDIR=%{buildroot} install

rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw64_docdir}

find %{buildroot} -name "*.la" -delete


%files -n mingw32-libogg
%license COPYING
%doc AUTHORS CHANGES README.md
%{mingw32_bindir}/libogg-0.dll
%{mingw32_libdir}/libogg.dll.a
%{mingw32_libdir}/pkgconfig/ogg.pc
%dir %{mingw32_includedir}/ogg
%{mingw32_includedir}/ogg/ogg.h
%{mingw32_includedir}/ogg/os_types.h
%{mingw32_includedir}/ogg/config_types.h
%{mingw32_datadir}/aclocal/ogg.m4

%files -n mingw64-libogg
%license COPYING
%doc AUTHORS CHANGES README.md
%{mingw64_bindir}/libogg-0.dll
%{mingw64_libdir}/libogg.dll.a
%{mingw64_libdir}/pkgconfig/ogg.pc
%dir %{mingw64_includedir}/ogg
%{mingw64_includedir}/ogg/ogg.h
%{mingw64_includedir}/ogg/os_types.h
%{mingw64_includedir}/ogg/config_types.h
%{mingw64_datadir}/aclocal/ogg.m4


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-1
- initial build
